Subject: Re: What's cooking in git.git (Oct 2025, #04; Fri, 10)

From: Junio C Hamano <[email-masked]>
Date: Sat, 11 Oct 2025 10:14:14 -0700

"D. Ben Knoble" <[email-masked]> writes:

> On Fri, Oct 10, 2025 at 8:00 PM Junio C Hamano <[email-masked]> wrote:
>> --------------------------------------------------
>> [New Topics]
>>
>> * dk/stash-apply-index (2025-10-06) 1 commit
>>  - doc: explain the impact of stash.index on --autostash options
>>
>>  Doc update.
>>
>>  Will merge to 'next'.
>>  source: <d4a277b6b[email-masked]>
>
> I think Kristoffer had some feedback about the message—if changes need
> made, my understanding is that happens prior to "next" ?
>
> I'll send a reply there shortly, at any rate.

OK, will wait (I am not sure what needs updated, though).

>> * jc/optional-path (2025-09-28) 4 commits
>>   (merged to 'next' on 2025-10-08 at a1e8af9952)
>>  + parseopt: values of pathname type can be prefixed with :(optional)
>>  + config: values of pathname type can be prefixed with :(optional)
>>  + t7500: fix GIT_EDITOR shell snippet
>>  + t7500: make each piece more independent
>>
>>  Configuration variables that take a pathname as a value
>>  (e.g. blame.ignorerevsfile) can be marked as optional by prefixing
>>  ":(optoinal)" before its value.
>>
>>  Will merge to 'master'.
>>  source: <[email-masked]>
>
> As I mentioned in <[email-masked]>, I
> think we might want a slight reroll for some tests and to use the
> correct functions in a few places.

If you want to change anything, can you do it with incremental
patches on top?  Thanks.